﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Firma.Anwendung.Service
{
    /// <summary>
    /// ModuleAttribute
    /// </summary>
    [AttributeUsage(AttributeTargets.Assembly, AllowMultiple = false)]
    public class ModuleAttribute : Attribute
    {
        private readonly string m_strTypeName = string.Empty;

        /// <summary>
        /// ModuleAttribute
        /// </summary>
        /// <param name="strTypeName"></param>
        public ModuleAttribute(string strTypeName)
        {
            m_strTypeName = strTypeName;
        }

        /// <summary>
        /// TypeName
        /// </summary>
        public string TypeName
        {
            get { return m_strTypeName; }
        }
    }
}
