﻿using Firma.Anwendung.Services;

namespace Firma.Anwendung.Utility
{
    /// <summary>
    /// IServiceProxy
    /// </summary>
    public interface IServiceProxy
    {
        /// <summary>closes the channel and factory</summary>
        void Close();

        /// <summary>close the proxy</summary>
        void CloseProxy<I>(I oInstance) where I : class;

        /// <summary>get the proxy</summary>
        ICustomerService CustomerService { get; }
    }
}
