﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using MyServiceAgent.NWOrderService;
using Microsoft.Windows.Controls;

namespace ETWPFTestClient
{
    /// <summary>
    /// Interaction logic for NewOrderWindow.xaml
    /// </summary>
    public partial class NewOrderWindow : Window
    {
        private Order CurrentOrderNew;


        public NewOrderWindow(Order NewOrder)
        {
            InitializeComponent();
            CurrentOrderNew = NewOrder;
            UpdateOrderPanel.DataContext = CurrentOrderNew;
            orderDatePicker.Focus();

        }
        private void txt_GotFocus(object sender, RoutedEventArgs e)
        {
            TextBox txtGotFocus = (sender as TextBox);
            txtGotFocus.Opacity = 1.0;
            txtGotFocus.FontWeight = FontWeights.Bold;

        }

        private void txt_LostFocus(object sender, RoutedEventArgs e)
        {
            TextBox txtLostFocus = (sender as TextBox);
            txtLostFocus.Opacity = 0.5;
            txtLostFocus.FontWeight = FontWeights.Normal;

        }

        private void dtp_GotFocus(object sender, RoutedEventArgs e)
        {
            DatePicker dtpGotFocus = (sender as DatePicker);
            dtpGotFocus.Opacity = 1.0;
            dtpGotFocus.FontWeight = FontWeights.Bold;

        }

        private void dtp_LostFocus(object sender, RoutedEventArgs e)
        {
            DatePicker dtpGotFocus = (sender as DatePicker);
            dtpGotFocus.Opacity = 0.5;
            dtpGotFocus.FontWeight = FontWeights.Normal;

        }

        private void bCancelEditOrder_Click(object sender, RoutedEventArgs e)
        {
            UpdateOrderPanel.DataContext = null;
            this.DialogResult = false;
        }

        private void bSaveEditOrder_Click(object sender, RoutedEventArgs e)
        {
            UpdateOrderPanel.DataContext = null;
            this.DialogResult = true;

        }

    
    }
}
