﻿
using System;
using System.Runtime.Serialization;

namespace Firma.Anwendung.BusinessEntities
{
    /// <summary>
    /// Base class for any faults within servcice calls
    /// </summary>
    [Serializable]
    [DataContract(Namespace = "http://firma.com/AppName/DataContracts/2009")]
    public class ServiceFault
    {
        private string m_strMessage = string.Empty;
        /// <summary>
        /// The Message of the fault.
        /// </summary>
        [DataMember(EmitDefaultValue = false)]
        public string Message
        {
            get { return m_strMessage; }
            set { m_strMessage = value; }
        }

        private Guid m_oId = Guid.Empty;
        /// <summary>
        /// The Guid of the fault.
        /// </summary>
        [DataMember(EmitDefaultValue = false)]
        public Guid Id
        {
            get { return m_oId; }
            set { m_oId = value; }
        }
    }
}

