﻿using System;
using System.Runtime.Serialization;

namespace Firma.Anwendung.BusinessEntities
{
    /// <summary>
    /// Base class for any faults within servcice calls
    /// </summary>
    [Serializable]
    [DataContract(Namespace = "http://firma.com/AppName/DataContracts/2009")]
    public class ServiceInfo
    {
        private string _serviceName;
        /// <summary>
        /// The name of the service.
        /// </summary>
        [DataMember(EmitDefaultValue = false)]
        public string ServiceName
        {
            get { return _serviceName; }
            set { _serviceName = value; }
        }

        private string _serviceVersion;
        /// <summary>
        /// The version of the service .
        /// </summary>
        [DataMember(EmitDefaultValue = false)]
        public string ServiceVersion
        {
            get { return _serviceVersion; }
            set { _serviceVersion = value; }
        }
    }
}
