﻿using System;
using System.Runtime.Serialization;

namespace Firma.Anwendung.BusinessEntities
{
    /// <summary>
    /// The validation's result
    /// </summary>
    [Serializable]
    [DataContract(Namespace = "http://firma.com/AppName/DataContracts/2009")]
    public class ValidationResult
    {
        private String m_oMessage = String.Empty;
        /// <summary>
        /// The Message
        /// </summary>
        [DataMember(EmitDefaultValue = false)]
        public String Message
        {
            get { return m_oMessage; }
            set
            {
                m_oMessage = value;
            }
        }

        private bool m_oSuccess = true;
        /// <summary>
        /// The Result
        /// </summary>
        [DataMember(EmitDefaultValue = false)]
        public bool Success
        {
            get { return m_oSuccess; }
            set
            {
                m_oSuccess = value;
            }
        }
    }
}