﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using MyServiceAgent.NWCustomerService;

namespace ETWPFTestClient
{
    /// <summary>
    /// Interaction logic for UpdateCustomerWindow.xaml
    /// </summary>
    public partial class NewCustomerWindow : Window
    {
        private Customer CurrentCustomerNew;

        public NewCustomerWindow(Customer CustomerNew )
        {
            InitializeComponent();
            txtCustomerID.Focus();
            CurrentCustomerNew = CustomerNew;

            UpdateCustomerPanel.DataContext = CurrentCustomerNew;

        }
        private void bSaveEditCustomer_Click(object sender, RoutedEventArgs e)
        {
            if (CurrentCustomerNew.StaticDataId.Length != 5)
            {
                MessageBox.Show("Please enter a valid CustomerID (5 alplanumeric Character)", "Invalid CustonerID");
            }
            else
            {
                UpdateCustomerPanel.DataContext = null;
                this.DialogResult = true;
            }

        }
        private void bCancelEditCustomer_Click(object sender, RoutedEventArgs e)
        {
            UpdateCustomerPanel.DataContext = null;
            this.DialogResult = false;

        }

        private void txt_GotFocus(object sender, RoutedEventArgs e)
        {
            TextBox txtGotFocus = (sender as TextBox);
            txtGotFocus.Opacity = 1.0;
            txtGotFocus.FontWeight = FontWeights.Bold;

        }

        private void txt_LostFocus(object sender, RoutedEventArgs e)
        {
            TextBox txtLostFocus = (sender as TextBox);
            txtLostFocus.Opacity = 0.5;
            txtLostFocus.FontWeight = FontWeights.Normal;

        }


    }
}

